# 32/64bit spec-file
#
%define name libvisual
%define version 0.4.0
%define major 0
%define libname %mklibname visual %major
%define develname %mklibname -d visual

Name: %{name}
Version: %{version}
Release: %mkrel 8
Summary: Audio visualisation framework
Source0: %{name}-%{version}.tar.xz
Patch0: libvisual-0.4.0-fix-str-fmt.patch
Patch1: libvisual-0.4.0-inlinedefineconflict.patch
License: LGPLv2+
Group: System/Libraries
URL: http://localhost.nl/~synap/libvisual
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}x11-devel

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

#--------------------------------------------------------------------

%package -n %libname
Group: System/Libraries
Summary: Shared library of the audio visualisation framework 
Provides: %name = %version-%release
Obsoletes: libvisual-plugins < 0.4.0
Conflicts: gstreamer0.10-libvisual <= 0.10.7
Requires: libvisual-plugins

%description -n %libname
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %libname -f %name-0.4.lang
%defattr(-,root,root)
%doc README NEWS TODO ChangeLog AUTHORS
%_libdir/libvisual-0.4.so.%{major}*
%_datadir/locale/*/LC_MESSAGES/*.mo

#--------------------------------------------------------------------

%package -n %develname
Group: Development/Libraries
Summary: Header files of the audio visualisation framework 
Requires: %libname = %version
Provides: libvisual-devel = %version-%release
Obsoletes: %{_lib}visual0-devel < %version-%release

%description -n %develname
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %develname
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0
%patch1 -p1

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot

%makeinstall_std
%find_lang %name-0.4

find %buildroot -name '*.la' | xargs rm

%clean
rm -rf %buildroot



%changelog
* Sun Apr 04 2015 bb <bb> 0.4.0-8pclos2015
- build update

* Mon Aug 18 2014 bb <bb> 0.4.0-7pclos2014
- drop la file
- disable static

* Fri Jan 25 2013 pinoc <vogtpet at gmail.com> 0.4.0-6pclos2013
- rebuild

* Tue Jul 23 2011 MBantz <mbantz at gmail dot com> 0.4.0-4
- Changed suggests to requires. Seems new rpmbuild ignore suggests keyword

